Name: lua-resty-signal
Version: 0.03
Release: 1%{?dist}
Summary: Lua resty signal library
License: GPLv3
Url: https://github.com/openresty/lua-resty-signal
Group: Applications/Language
Source: %{name}-%{version}.tar.gz
Requires: nginx-lua

%description
This package provides a library for killing or sending signals to Linux
processes.


%prep
%setup -q


%build
make all


%install
rm -fr %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/lua/5.1
%{__mkdir_p} %{buildroot}%{_datadir}/lua/5.1/resty
%{__install} -p -D -m755 *.so %{buildroot}%{_libdir}/lua/5.1/
%{__install} -p -D -m644 lib/resty/*.lua %{buildroot}%{_datadir}/lua/5.1/resty/


%clean
rm -fr %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc README.md
%{_libdir}/lua/5.1/*.so
%{_datadir}/lua/5.1/resty/*.lua


%changelog
* Sat Mar  1 2024 Ernani Azevedo <azevedo@voipdomain.io> - 0.03-1
- Initial package file
